Name:           libax25
Version:        1.1.0
Release:        Unversioned directory 
Summary:        AX.25 library for hamradio applications

Group:          System Environment/Libraries
License:        LGPLv2+
URL:		http://github.com/ve7fet/linuxax25
Source0:	%{name}-1.1.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-1.1.0-%{release}-root-%(%{__id_u} -n)
%if 0%{?mdkversion}
BuildRequires:	zlib1-devel
%else
BuildRequires:	zlib-devel
%endif

%description
libax25 is a library for ham radio applications that use the AX.25, NETROM
or ROSE protocols.  Included are routines to do ax25 address parsing, common
ax25 application config file parsing, etc. 

%package        devel

Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep

%setup -q -n %{name}-1.1.0

%build
%configure --disable-static --prefix=/usr --sysconfdir=/etc --localstatedir=/var
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Oct 21 2017 Bernard Pidoux <f6bvp@amsat.org> 1.1.0
- Sync with upstream sources

* Tue Nov 04 2014 Lee Woldanski <ve7fet@tparc.org> 1.0.5-1
- Sync with upstream sources

* Thu Sep 08 2011 Lee Woldanski <ve7fet@tparc.org> 1.0.3-1
- Fix install issue

* Wed Aug 24 2011 Lee Woldanski <ve7fet@tparc.org> 1.0.2-1
- Bug fix and revert a bad patch

* Fri Jan 28 2011 Lee Woldanski <ve7fet@tparc.org> 1.0.1-1
- Fixed some of the versioning output for creating files so it is correct
- Changed configure line to put files where they belong
- Added some dependencies

* Sat Jun 27 2009 Ralf Baechle <ralf@linux-mips.org>
- Initial version
